/////////////////////////////////////////////////
// CCircles.h
/////////////////////////////////////////////////

struct CircleStruct
{
	CPoint point;
	COLORREF color;
	int diameter;
};

class CCircles : public CObject
{
	DECLARE_SERIAL(CCircles)

	CCircles();

protected:
	CPtrArray m_circleArray;

public:
	void AddCircle(CPoint point, COLORREF color, int diameter);
	int GetCircleCount();
	void GetCircle(int circleNum, CircleStruct* circle);
	void DeleteAllCircles();
	void Serialize(CArchive& ar);
};
