// CircleAppView.h : interface of the CCircleAppView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CIRCLEAPPVIEW_H__CABEF60E_22C1_11D1_AB9F_30A953C10000__INCLUDED_)
#define AFX_CIRCLEAPPVIEW_H__CABEF60E_22C1_11D1_AB9F_30A953C10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CCircleAppView : public CView
{
protected: // create from serialization only
	CCircleAppView();
	DECLARE_DYNCREATE(CCircleAppView)

// Attributes
public:
	CCircleAppDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCircleAppView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCircleAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	int m_currentDiameter;
	COLORREF m_currentColor;
	//{{AFX_MSG(CCircleAppView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnCircleChangecolor();
	afx_msg void OnCircleChangediameter();
	afx_msg void OnCircleChangemessage();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in CircleAppView.cpp
inline CCircleAppDoc* CCircleAppView::GetDocument()
   { return (CCircleAppDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CIRCLEAPPVIEW_H__CABEF60E_22C1_11D1_AB9F_30A953C10000__INCLUDED_)
